
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "OGDFLayerByLayerSweep.h"

#include "OGDFLayeredCrossMinModule.h"

#include "stdcxxType.h"


#define MEDIANHEURISTIC_DECL_VIRT(Type) \



#define MEDIANHEURISTIC_DECL_NONVIRT(Type) \
Type##_p Type##_newMedianHeuristic (  );


#define MEDIANHEURISTIC_DECL_ACCESSOR(Type) \



#define MEDIANHEURISTIC_DEF_VIRT(Type) \



#define MEDIANHEURISTIC_DEF_NONVIRT(Type) \
Type##_p Type##_newMedianHeuristic (  ) {\
Type* newp=new Type();return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define MEDIANHEURISTIC_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(MedianHeuristic)
LAYERBYLAYERSWEEP_DECL_VIRT(MedianHeuristic)
LAYEREDCROSSMINMODULE_DECL_VIRT(MedianHeuristic)
MEDIANHEURISTIC_DECL_VIRT(MedianHeuristic)
MEDIANHEURISTIC_DECL_NONVIRT(MedianHeuristic)
MEDIANHEURISTIC_DECL_ACCESSOR(MedianHeuristic)

#ifdef __cplusplus
}
#endif

